Subject: Re: Where is random()?
From: [email-masked] (Mumit Khan)

15 Dec 1998 04:55:46 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: Jan Tomasek <[email-masked]>
Cc: "[email-masked]" <[email-masked]>

Jan Tomasek <[email-masked]> writes:
> Hi,
> I'm writing one school project in C and at home I working
> under CygWin 19.2 
> 
> On my Linux (Debian) is on random() man page writen that it is in
> defined in stdlib.h
>  * if I compile it with gcc on that linux all is ok
>  * if I compile it with Cygnus gcc port I get warning:

Learning standard from man pages is as full of pitfalls as learning a new
evolving computer language from a compiler.

`random' is not standard ANSI nor is it part of POSIX. ANSI defines rand 
and srand, and for anything else, unless you're willing to provide your 
RNG (which I do), you can't depend on a target platform to have it.

The good news for you is that Cygwin comes with libiberty, which contains 
a random function. Just add -liberty at the end of the list of libraries
when you link and you're set for now. As for the quality, that's a whole
different story.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".